Get orders

Retrieves a list of the merchant's orders. Newest order displays first in the list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
object

Filters orders by their creation time. Accepts either a Unix timestamp (in milliseconds) to match a specific creation time, or an object to specify a time range.

Examples:

  • created=1633046400000 (orders created at this exact time)
  • created[gt]=1633046400000 (orders created after this time)
  • created[gte]=1633046400000 (orders created at or after this time)
  • created[lt]=1633132800000 (orders created before this time)
  • created[lte]=1633132800000 (orders created at or before this time)

You can combine these for a range, e.g. created[gte]=1633046400000&created[lte]=1633132800000 to get orders created between two timestamps.

Timestamps must be in milliseconds since Unix epoch.

string
length ≤ 5000

Returns orders for a specific customer.

string
length ≤ 5000

Cursor used in pagination. The ending_before object ID sets your place in the list. For example, if you receive 100 objects in a list starting with obj_bar, add ending_before=obj_bar in your subsequent request to retrieve the previous page of the list.

expand
array of strings

Additional information provided as an expanded response, for example, related object nested within the parent. See Use expandable fields.

expand
ids
array of strings

Universally unique identifier (UUID) of the order.

ids
integer

Number of objects returned by the request, ranging between 1 and 100.
Default value: 10

string
length ≤ 5000

Cursor used in pagination. The starting_after object ID sets your place in the list. For example, if you receive 100 objects in a list starting with obj_foo, add starting_after=obj_foo in your subsequent request to retrieve the next page of the list.

string
length ≤ 5000

Displays orders based on status—created, paid, fulfilled, or refunded.

status_transitions
object

Displays orders based on the time of a status change—paid, fulfilled, canceled, or returned.

Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <product> / <product-version> <comment>

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json